Ticket #34493

X11 forwardingで:0以外も使用したい

Open Date: 2014-10-16 13:18 Last Update: 2015-03-02 09:57

Reporter:
Owner:
(None)
Status:
Closed
Component:
MileStone:
(None)
Priority:
2
Severity:
5 - Medium
Resolution:
Fixed
File:
None
Vote
Score: 0
No votes
0.0% (0/0)
0.0% (0/0)

Details

ver4.84において、「SSHポート転送」の「Xクライアントアプリケーションの転送」-「リモートのXアプリケーションをローカルのXサーバに表示する」を使用した場合、表示に使用するXサーバは「:0」固定になっています。

このため、Windows Serverに複数ユーザがRDPでログインしているような環境で、 この機能を使用すると、:0でXサーバを起動したユーザのところに全ユーザのXアプリが表示されてしまいます。

なお、現状は、値を指定できるputtyを使用しています。

Ticket History (3/6 Histories)

2014-10-16 13:18 Updated by: osakanataro
  • New Ticket "X11 forwardingで:0以外も使用したい" created
2014-10-16 14:29 Updated by: doda
  • Resolution Update from None to Accepted
Comment

ドキュメントには書かれていないのですが、環境変数 DISPLAY に localhost:2.0 や :2.0 を設定しておくと :2.0 へ X forwarding を行います。

でも、設定ダイアログ等で変更できる方が便利ですよね。検討します。

2014-10-16 14:54 Updated by: osakanataro
Comment

なんと!そんな設定があったんですね。

DOSプロンプトでset DISPLAY=localhost:1.0とやったあとに"ttermpro ホスト名 /ssh-x"で表示出来ることを確認しました。

2014-10-16 15:25 Updated by: osakanataro
Comment

設定ダイアログよりは、起動用のショートカットだけで指定できるといいので、起動オプションとして欲しいです。

2015-02-28 23:30 Updated by: doda
  • Resolution Update from Accepted to Fixed
  • Status Update from Open to Closed
  • Ticket Close date is changed to 2015-02-28 23:30
Comment

遅くなりましたが、4.86にて /ssh-Xlocalhost:1.0 というように指定できるようにしました。

http://ttssh2.sourceforge.jp/manual/ja/commandline/ttssh.html#ssh-x

2015-03-02 09:57 Updated by: osakanataro
Comment

動作を確認しました。 対応ありがとうございます。

Attachment File List

No attachments

Edit

You are not logged in. I you are not logged in, your comment will be treated as an anonymous post. » Login